package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedFundRank;
import com.tanpu.fund.entity.generator.IfaImportedFundRankExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IfaImportedFundRankMapper {
    long countByExample(IfaImportedFundRankExample example);

    int deleteByExample(IfaImportedFundRankExample example);

    /**
     * delete by primary key
     *
     * @param fundId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String fundId);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(IfaImportedFundRank record);

    int insertOrUpdate(IfaImportedFundRank record);

    int insertOrUpdateSelective(IfaImportedFundRank record);

    int insertOrUpdateWithBLOBs(IfaImportedFundRank record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(IfaImportedFundRank record);

    List<IfaImportedFundRank> selectByExampleWithBLOBs(IfaImportedFundRankExample example);

    List<IfaImportedFundRank> selectByExample(IfaImportedFundRankExample example);

    /**
     * select by primary key
     *
     * @param fundId primary key
     * @return object by primary key
     */
    IfaImportedFundRank selectByPrimaryKey(String fundId);

    int updateByExampleSelective(@Param("record") IfaImportedFundRank record, @Param("example") IfaImportedFundRankExample example);

    int updateByExampleWithBLOBs(@Param("record") IfaImportedFundRank record, @Param("example") IfaImportedFundRankExample example);

    int updateByExample(@Param("record") IfaImportedFundRank record, @Param("example") IfaImportedFundRankExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(IfaImportedFundRank record);

    int updateByPrimaryKeyWithBLOBs(IfaImportedFundRank record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(IfaImportedFundRank record);

    int updateBatch(List<IfaImportedFundRank> list);

    int batchInsert(@Param("list") List<IfaImportedFundRank> list);
}